{
    "name": "dbd-soft-ui",
    "description": "dashboard theme",
    "version": "1.0",
    "typings": "dbd-soft-ui.d.ts",
    "dependencies": {
        "@keyv/sqlite": "^3.6.1",
        "colors": "1.4.0",
        "keyv": "^4.5.0",
        "node-fetch": "2.6.7",
        "nodeactyl": "^3.2.2",
        "quick.db": "^7.1.3"
    },
    "main": "index.js",
    "scripts": {
        "preinstall": "npx only-allow pnpm",
        "test": "echo \"Error: no test specified\""
    },
    "devDependencies": {
        "express": "^4.18.2",
        "eslint": "^8.23.0",
        "prettier": "2.7.1"
    },
    "eslintConfig": {
        "env": {
            "commonjs": true,
            "es6": true,
            "es2020": true,
            "node": true
        },
        "extends": "eslint:recommended",
        "globals": {
            "Atomics": "readonly",
            "SharedArrayBuffer": "readonly"
        },
        "parserOptions": {
            "ecmaVersion": 2020
        },
        "rules": {
            "arrow-spacing": [
                "warn",
                {
                    "before": true,
                    "after": true
                }
            ],
            "comma-dangle": [
                "error",
                "always-multiline"
            ],
            "comma-spacing": "error",
            "comma-style": "error",
            "dot-location": [
                "error",
                "property"
            ],
            "handle-callback-err": "off",
            "indent": [
                "error",
                "tab",
                {
                    "SwitchCase": 1
                }
            ],
            "keyword-spacing": "error",
            "max-nested-callbacks": [
                "error",
                {
                    "max": 4
                }
            ],
            "max-statements-per-line": [
                "error",
                {
                    "max": 2
                }
            ],
            "no-console": "off",
            "no-multi-spaces": "error",
            "no-multiple-empty-lines": [
                "error",
                {
                    "max": 2,
                    "maxEOF": 1,
                    "maxBOF": 0
                }
            ],
            "no-trailing-spaces": [
                "error"
            ],
            "no-var": "error",
            "object-curly-spacing": [
                "error",
                "always"
            ],
            "prefer-const": "error",
            "quotes": [
                "error",
                "double"
            ],
            "semi": [
                "error",
                "always"
            ],
            "space-in-parens": "error",
            "space-infix-ops": "error",
            "space-unary-ops": "error",
            "yoda": "error"
        }
    }
}
